%define module Text-Template

Name: perl-%module
Version: 1.44
Release: alt1.1

Packager: Denis Smirnov <mithraen@altlinux.ru>

Summary: Expand template text with embedded Perl
Group: Development/Perl
License: GPL or Artistic
Source: http://www.cpan.org/modules/by-module/Text/%module-%version.tar.gz

BuildArch: noarch

# Automatically added by buildreq on Mon Feb 16 2004
BuildRequires: perl-devel

%description
This is a library for generating form letters, building HTML pages, or
filling in templates generally.  A `template' is a piece of text that
has little Perl programs embedded in it here and there.  When you `fill
in' a template, you evaluate the little programs and replace them with
their values.

You can store a template in a file outside your program.  People can
modify the template without modifying the program.  You can separate
the formatting details from the main code, and put the formatting parts
of the program into the template.  That prevents code bloat and encour-
ages functional separation.

%prep
%setup -q -n %module-%version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
#%doc README Changes FAQ ANNOUNCE scripts templates
%perl_vendor_privlib/Text*
%perl_vendor_man3dir/*

%changelog
* Sat Feb 19 2005 ALT QA Team Robot <qa-robot@altlinux.org> 1.44-alt1.1
- Rebuilt with rpm-build-perl-0.5.1.

* Fri Jan 09 2004 Denis Smirnov <mithraen@altlinux.ru> 1.44-alt1
- First build for Sisyphus.
